Skip to main content
GET
/
case
/
id
/
{caseId}
/
legal
/
status
/
{legalType}
Get legal acknowledgement status
curl --request GET \
  --url https://api-stage.karmacheck.io/case/id/{caseId}/legal/status/{legalType} \
  --header 'Authorization: Bearer <token>'
{
  "alreadyAck": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

caseId
string
required

The ID of the case for which to retrieve a legal acknowledgement status.

A type of legal document. Each corresponds to a legal service that was ordered for the case.

Available options:
esig,
fcra,
disclosure,
customdisclosure,
customdynamicdisclosure,
canadadisclosure,
intldisclosure,
custom-ab-disclosure-1,
custom-ab-disclosure-2

Response

OK

alreadyAck
boolean
required

True if the candidate already acknowledged the legal document; false otherwise.